<!doctype html>
<html>
	<head>
		<title>Html</title>
        <meta charset="utf-8">
    </head>
    <style>
        body {
     margin: 0;
     padding: 0;
     margin-left: 10px;
     font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
     color: rgb(46, 44, 44);
     /* background-image: url('./ML1.jpg') ; */
 }
 fieldset { 
             width: 30%; 
             margin-left: 35%; 
         } 
           
 
 input[type=text] {
     border: 2px solid #cc149e;
     border-radius: 4px;
     width: 30%;
     padding: 12px 20px;
     margin: 8px 0;
  }
 
 input[type=button], input[type=submit], input[type=reset] {
     background-color: #cc149e;
     border: none;
     color: white;
     padding: 16px 32px;
     width: 32%;
     text-decoration: none;
     margin: 20px 2px;
     cursor: pointer;
 }      
   
 button { background-color: #cc149e;
     border: none;
     color: white;
     padding: 16px 32px;
     width: 25%;
     text-align:center;
     margin: 20px 2px;
     cursor: pointer;
     font-size: 1.0em;
         } 
         h2 {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 2.5em;
   color: rgb(232, 252, 252);
   text-align:center
   }
    
  
 </style>
<body style="background-image: url(../static/ML1.jpg)">
    
    <h3 style="color: rgb(233, 253, 253);"> 
        Ce jeu de données contenant des informations de 683 personnes sur le cancer du sein.<br>
        Cet ensemble de données est un ensemble de classification binaire classique .<br>
        J'ai utilisé ces donneés pour entrainer un model d'apprentissage automatique pour predire la probabilité que une cellule
         est Bénigne ou Maligne. </h3>
        
        <h3 style="color: rgb(233, 253, 253);"> Dans un premier temps, j'ai analysé les données et identifier les corrlation entre les differentes caractères
          à l'aide des librairies matplotlib et seaborn. Ceci a permis de choisir les caractères suivantes:<br>
        Uniformité de la taille des cellules ,  Uniformité de la forme des cellules , Noyau nu , Nucléole normal qui sont corelées
         avec la cible (classe).
        </h3>
       <h3 style="color: rgb(233, 253, 253);">
        Ensuite, j'ai entrainé trois modèles  en utilisant les classfieurs suivants :<br>
        Decision Tree Classifier dont le score de précision est de 95%.<br>
        Grid SearchCV (KNN) dont le score de précision est de 97%.<br>
        Grid SearchCV(Random Forest Classifier) dont le score de précision est de 96%.
</h3>
<h2>Saisie des datas</h2>
    <form action="{{url_for('predict')}}" method = "post">
        <fieldset style="background-color: #e6a1c9;">
        Uniformité de la taille des cellules : 
        <input type ="text"  name="U cell size" placeholder=" cell size" required="required">
        <br>
        Uniformité de la forme des cellules : 
        <input type ="text"  name="U cell shape" placeholder=" cell shape" required="required">
        <br>
        Noyau nu :
        <input type ="text"  name="B nuclei" placeholder="noyau nu" required="required">
        <br>
        Nucléole normal :
        <input type ="text"  name="norm nucl" placeholder="norm nucl" required="required">
        <br>
            <label for="predict">Choisissez un modèle Training:</label><br><br>
            <input type="radio" name="options" value="1" >Decision Tree Classifier<br>
            <input type="radio" name="options" value="2"  checked>Grid SearchCV (KNN)<br>
            <input type="radio" name="options" value="3"  >Random Forest Classifier<br>
    
      <br>
      <button type="submit" >Predictions</button>
    
    <br>
    <p>  {{zone_prediction}}</p> 
    </fieldset>
    </form> 

    <!-- <header>
        <h2>Saisie des datas</h2>
    </header>
  
    <form action="{{url_for('predict')}}" method = "post">
        <fieldset>
             Cell size : 
        <input type ="text"  name="U cell size" placeholder="U cell size" required="required">
        <br>
         Cell shape : 
        <input type ="text"  name="U cell shape" placeholder="U cell shape" required="required">
        <br>
        Nuclei :
        <input type ="text"  name="B nuclei" placeholder="B nuclei" required="required">
        <br>
       
        <button type="submit">Predictions</button>
    <br>
     <p>  {{zone_prediction}}</p> 
    </fieldset>
</form>  -->
<!-- <div class="bd-example" align="middle">
<img src="{{url_for('static', filename='corr.png')}}" align="middle"/> 
<img src="{{url_for('static', filename='data.png')}}" align="middle"/> 
</div> -->
</body>
</html>


